Schedule work
curl --request POST \
--url https://api.neoagent.io/public-api/scheduled-work \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scheduled_for": "2023-11-07T05:31:56Z",
"workflow_id": 123,
"additional_custom_instructions": "<string>",
"ticket_id": "<string>"
}
'import requests
url = "https://api.neoagent.io/public-api/scheduled-work"
payload = {
"scheduled_for": "2023-11-07T05:31:56Z",
"workflow_id": 123,
"additional_custom_instructions": "<string>",
"ticket_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scheduled_for: '2023-11-07T05:31:56Z',
workflow_id: 123,
additional_custom_instructions: '<string>',
ticket_id: '<string>'
})
};
fetch('https://api.neoagent.io/public-api/scheduled-work', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"additional_custom_instructions": "<string>",
"client_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"executed_at": "2023-11-07T05:31:56Z",
"execution_message": "<string>",
"execution_temporal_run_id": "<string>",
"id": 123,
"scheduled_for": "2023-11-07T05:31:56Z",
"ticket_id": "<string>",
"ticket_number": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"workflow_id": 123,
"workflow_name": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timings_ms": {},
"pagination": {
"has_more": true,
"next_cursor": "<string>"
},
"warnings": [
"<string>"
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Scheduled work
Schedule work
Schedules an enabled TRIGGERED agent to run at a future time. scheduled_for must be in the future.
POST
/
public-api
/
scheduled-work
Schedule work
Authorizations
Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).
Body
application/json
⌘I
